<div class="d-sm-flex align-items-center justify-content-between mb-4">
  <h1 class="h3 mb-0 text-gray-800">Manage Teams</h1>
</div>

<div class="row mb-3 d-none d-md-block">
  <div class="col">
    <a class="btn btn-outline-primary btn-sm" [routerLink]="['/admin/add-team']">
      <fa-icon [icon]="faPlus"></fa-icon>&nbsp;New
    </a>
  </div>
</div>

<div class="d-none d-md-block">
  <table mat-table [dataSource]="dataSource" matSort matSortActive="name" matSortDirection="asc">
    <tr mat-header-row *matHeaderRowDef="columnsToDisplay" class="first-header-row"></tr>
    <tr mat-header-row *matHeaderRowDef="filterRow" class="second-header-row"></tr>
    <tr mat-row *matRowDef="let row; columns: columnsToDisplay"></tr>

    <ng-container matColumnDef="name-filter">
      <th mat-header-cell *matHeaderCellDef style="width: 300px">
        <mat-form-field class="filter" floatLabel="never">
          <mat-label>Name</mat-label>
          <input matInput [formControl]="nameFilterValue">
        </mat-form-field>
      </th>
    </ng-container>

    <ng-container matColumnDef="roomsCount-filter">
      <th mat-header-cell *matHeaderCellDef style="width: 300px">
      </th>
    </ng-container>

    <ng-container matColumnDef="membersCount-filter">
      <th mat-header-cell *matHeaderCellDef style="width: 320px"></th>
    </ng-container>

    <ng-container matColumnDef="actions-filter">
      <th mat-header-cell *matHeaderCellDef style="width: 320px"></th>
    </ng-container>

    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Name
      </th>
      <td mat-cell *matCellDef="let row">{{row.name || '-'}}</td>
    </ng-container>

    <ng-container matColumnDef="roomsCount">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Rooms
      </th>
      <td mat-cell *matCellDef="let row">{{row.roomsCount || '-'}}</td>
    </ng-container>

    <ng-container matColumnDef="membersCount">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Members
      </th>
      <td mat-cell *matCellDef="let row">{{row.membersCount || '-'}}</td>
    </ng-container>

    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef>Actions</th>
      <td mat-cell *matCellDef="let row">
        <div class="btn-group btn-group-sm" role="group">
          <a class="btn btn-outline-primary" [routerLink]="['/manage/teams', row.id]" title="Edit Team">
            <fa-icon [icon]="faEdit" [fixedWidth]="true"></fa-icon>
          </a>
        </div>
      </td>
      <td mat-footer-cell *matFooterCellDef="let row"></td>
    </ng-container>

  </table>
  <mat-paginator [length]="dataSource.totalCount" [pageSize]="dataSource.limit"
                 [pageSizeOptions]="[5, 10, 20, 50]" showFirstLastButtons></mat-paginator>
</div>

<div class="d-block d-md-none">
  Please use this page on PC or Tablet.
</div>
